library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.NUMERIC_STD.ALL;

entity DAC_DDR_IO_Bench is 
end DAC_DDR_IO_Bench;

architecture Behavioral of DAC_DDR_IO_Bench is

component DAC_DDR_IO is Port(
	refclk200: in std_logic;
	delay_locked: out std_logic;
	IO_Reset: in std_logic:='0';
	--- DAC IO ---
	D: out std_logic_vector(15 downto 0);
	IQSEL: out std_logic;
	DCO: in std_logic);
end component;

signal refclk200: std_logic:='0';
signal delay_locked: std_logic:='0';
signal IO_Reset: std_logic:='0';
signal D: std_logic_vector(15 downto 0):=x"0000";
signal IQSEL: std_logic:='0';
signal DAC_CLK: std_logic:='0';
signal DCO: std_logic:='0';

begin

refclk200 <= not refclk200 after 2.5 ns;
DAC_CLK <= not DAC_CLK after 2 ns;
DCO <= transport DAC_CLK after 2.2 ns;

process begin
wait for 100 ns;
IO_Reset <= '1';
wait for 100 ns;
IO_Reset <= '0';
wait;
end process;


UUT: DAC_DDR_IO port map(
	refclk200 => refclk200,
	delay_locked => delay_locked,
	IO_Reset => IO_Reset,
	--- DAC IO ---
	D => D,
	IQSEL => IQSEL,
	DCO => DCO);

end Behavioral;